Modify

Opened 8 years ago

Closed 8 years ago

Last modified 3 years ago

#317 closed task (fixed)

trac site is international and should therefor use international date format

Reported by: ThurnerRupert Owned by: athomas
Priority: high Component: TracHacks
Severity: trivial Keywords:
Cc: Trac Release: 0.9

Description

could you pls use the international date format yyyy-mm-dd on the trac hack site? if you need evidence why, you might want to check on http://www.cl.cam.ac.uk/~mgk25/iso-time.html.

the simplest way seems to set a country which uses this format, like china, or germany by

  PythonOption TracLocale de

Attachments (0)

Change History (7)

comment:1 Changed 8 years ago by athomas

Hmm, that is a good idea, but de_DE does not use iso8601 as far as I can see:

[root@swapoff:~]LANG=de_DE date +%x
17.04.2006

I also tried i18n, which according to #T1690 is supposed to work, but to no avail.

comment:2 Changed 8 years ago by anonymous

Interesting, most of us get non-traditional format in ls -l, maybe that confused ThurnerRupert. For what it's worth, the Hungarian locale may come to rescue:

$ unset LC_ALL; LANG=hu_HU date +%x
2006-05-03

comment:3 Changed 8 years ago by athomas

Pity about the time format :(

[athomas@o2zeopslin01:~]LANG=hu_HU date +%X
11.33.26

comment:4 Changed 8 years ago by chexum

Oops [grmbl] How about moving east a bit more? :)

$ unset LC_ALL; TZ=UTC LANG=ro_RO date +%x,%X
2006-05-04,09:36:32

comment:5 Changed 8 years ago by athomas

  • Resolution set to fixed
  • Status changed from new to closed

Looking good so far :)

Thanks for your help guys.

comment:6 follow-up: Changed 7 years ago by quarl

LC_TIME=ro_RO doesn't work for me, but LC_TIME=en_DK does.

http://myy.helia.fi/~karte/international_iso-8601_date_on_thunderbird.html

$ LC_TIME=ro_RO date '+%x %X'
09.11.2006 01:41:49

$ LC_TIME=en_DK date '+%x %X'
2006-11-09 01:41:53

comment:7 in reply to: ↑ 6 Changed 7 years ago by coderanger

Replying to quarl:

LC_TIME=ro_RO doesn't work for me, but LC_TIME=en_DK does.

http://myy.helia.fi/~karte/international_iso-8601_date_on_thunderbird.html

$ LC_TIME=ro_RO date '+%x %X'
09.11.2006 01:41:49

$ LC_TIME=en_DK date '+%x %X'
2006-11-09 01:41:53

Please take this up on http://trac.edgewall.org.

Add Comment

Modify Ticket

Action
as closed .
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from athomas. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.